Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface SortRank

All Superinterfaces:
  ExpressionConstants, Extension

All Known Implementing Classes:
  MondrianSortRank, SortRankBase, TestSortRank, XMLA_SortRank

    public interface SortRank

extends Extension, ExpressionConstants

Allows sorting and ranking

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Fields inherited from interface com.tonbeller.jpivot.olap.model.ExpressionConstants
`ASC, BASC, BDESC, BOTTOMCOUNT, DESC, TOPCOUNT`

Method Summary
`int` | `getSortMode()`
`int` | `getTopBottomCount()` number of members for topcount and bottomcount
`boolean` | `isCurrentSorting(Position position)` return true if the result is sorted by the members of the position
`boolean` | `isSortable(Position position)` returns true if user may sort by the members.
`boolean` | `isSorting()` turns sorting on / off (off = natural sorting)
`void` | `setSorting(boolean enabled)`
`void` | `setSortMode(int mode)`
`void` | `setTopBottomCount(int topBottomCount)`
`void` | `sort(Axis membersToSort, Position position)` changes current sorting.

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### isSorting

    boolean isSorting()

  turns sorting on / off (off = natural sorting)

### setSorting

    void setSorting(boolean enabled)

### isSortable

    boolean isSortable(Position position)

  returns true if user may sort by the members. This will be the case when one of the members is a measure. The GUI will paint a "sort button" for one of the members

### isCurrentSorting

    boolean isCurrentSorting(Position position)

  return true if the result is sorted by the members of the position

### getSortMode

    int getSortMode()

### setSortMode

    void setSortMode(int mode)

### getTopBottomCount

    int getTopBottomCount()

  number of members for topcount and bottomcount

### setTopBottomCount

    void setTopBottomCount(int topBottomCount)

### sort

    void sort(Axis membersToSort,
              Position position)
              throws OlapException

  changes current sorting. If `mode` is `TOPCOUNT` or `BOTTOMCOUNT` the current value of `topBottomCount` will be used.

  Parameters:
    `membersToSort` - the axis to sort. Its one of the "other" axes, that do not contain position
    `position` - the sort criteria
  Throws:
    `OlapException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD